Skip to main content
GET
/
batches
/
{id}
Get Batch
curl --request GET \
  --url https://api.useqrkit.com/v1/batches/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "batch_aB3dE5fG7hI9jK1m",
  "object": "batch",
  "total_count": 123,
  "completed_count": 123,
  "error_count": 123,
  "items": [
    {
      "name": "<string>",
      "type": "<string>",
      "qr_code_id": "<string>",
      "error": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key in the Authorization header: Bearer qr_live_… or Bearer qr_test_…. Token endpoints take a Clerk session JWT instead.

Path Parameters

id
string
required

Batch id (batch_…).

Response

Batch with items

id
string
Example:

"batch_aB3dE5fG7hI9jK1m"

object
string
Example:

"batch"

total_count
integer
completed_count
integer
error_count
integer
status
enum<string>
Available options:
processing,
completed,
failed
items
object[]

Present on GET /batches/{id}.

created_at
string<date-time>